/***************************************************************************
                Process Dummy Class
                -----------------------------------------
    begin      : 2013/06/21
	copyright  : (C) 2005 Solbox Inc.
    author     : Dev 1 Team
    email      : dev1@solbox.com
    version    : 3.2.0

    CopyRight(C) 2005 Solbox Inc. All Rights reserved.
    Redistribution and use in source and binary forms, with or with out
    modification, are not permitted in outside of Solbox Inc.
*****************************************************************************/

#ifndef __PROCESS_DUMMY_H__
#define __PROCESS_DUMMY_H__

#include "Process.h"

class  CProcessDummy : public CProcess
{
public:
	 CProcessDummy();
	virtual ~ CProcessDummy();

	pid_t Launcher(const sig_atomic_t *sighandle);

	int		TCPListen();
	int		TCPAccept();

	inline void SetPort(int port) { m_port = port; }

private:
	int		Accept();
	int		Listen();

	int		Acceptv6();
	int		Listenv6();

	int		SetOption();

	void	Close();
	
	int		m_port;
	bool	m_ipv6;
	int		m_listenfd;
};
 
#endif // __PROCESS_DUMMY_H__
